import os

from dreamweavertemplate import DWT
from dreamweavertemplate.service import DreamweaverTemplateService
from bn import relimport 

from mail.service import MailService
from errorreport import ErrorReportService
from errordocument import ErrorDocumentService

def render(flow):
    template = DWT(
        filename=os.path.join(
            flow.config.app.app_dir,
            'static',  
            'Templates',
            'error.dwt' 
        )
    )   
    template['heading'] = 'Error '+str(flow.error_document.status_code)
    template['doctitle'] = '<title>Error '+str(flow.error_document.status_code)+'</title>'
    template['content'] = str(flow.error_document.status_message)
    flow.http.response.status = str(flow.error_document.status_code)+' Error'
    flow.http.response.headers = [('Content-type', 'text/html')]
    flow.http.response.body = [template.save_as_page(
        new_path=flow.http.environ['PATH_INFO'][1:], 
        template_path='Templates'
    )]

def make_error_document_service(flow, name):
    return ErrorDocumentService(render=render, intercept_codes=[])

def get_default_services():
    available_services = dict(
        mail = MailService,
        error_report =  ErrorReportService,
        error_document = make_error_document_service,
        template = DreamweaverTemplateService,
    )
    return available_services

