try:
    from setuptools import setup, find_packages
except ImportError:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup, find_packages

import sys, os

version = '4.0.2'

def read(*rnames):
    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()

long_description = (
    "Flows\n"
    "+++++\n\n"
    ".. contents :: \n"
    "\n"+read('doc/index.txt')
    + '\n'
    + read('CHANGELOG.txt')
    + '\n'
    'License\n'
    '=======\n'
    + read('LICENSE.txt')
    + '\n'
    'Download\n'
    '========\n'
)

setup(
    name='Flows',
    version=version,
    description="Enterprise micro-framework architecture for web applications",
    long_description=long_description,
    # Get classifiers from http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: GNU Affero General Public License v3',
        'Programming Language :: Python :: 2',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Environment :: Web Environment',
    ],
    keywords='',
    author='James Gardner',
    author_email='',
    url='',
    license='AGPLv3',
    packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
    include_package_data=True,
    zip_safe=False,
    install_requires=[
        "BareNecessities>=0.2.3,<0.2.99",
        "CommandTool>=0.3.1,<0.3.99",
        "HTTPKit>=0.1.0,<=0.1.99",
        "ConversionKit>=0.3.2,<=0.3.99",
        "RecordConvert>=0.1.3,<=0.1.99",
        "StringConvert>=0.3.0,<=0.3.99",
        "ConfigConvert>=0.1.4,<=0.1.4",
        # Would like to remove this dependency and create FlowsScriptPack too:
        "CGIPack"
    ],
    extras_require = {
        'basic': [
            "DreamweaverTemplate>=0.1.1,<=0.1.99",
            "ErrorReport>=0.2.0,<=0.2.99",
            "ErrorDocument>=0.2.0,<=0.2.99",
            "Mail>=2.0.1,<=2.0.99",
            "URLConvert>=0.2.0,<=0.2.99",
        ],
        'common': [
            "FormConvert>=0.3.0,<=0.3.99",
            "FormBuild>=3.0.0,<=3.0.99",
            "NestedRecord>=0.3.0,<=0.3.99",
        ],
        'profile': [
            "repoze.profile>=1.1,<=1.1.99",
        ],
        'test': [
        ],
    },
    entry_points="""
    """,
)
